Bug 8173 - My `nv' driver leaves phantom bar-cursors in Gtk text widgets
Summary: My `nv' driver leaves phantom bar-cursors in Gtk text widgets
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (open) (show other bugs)
Version: 7.0.0
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Aaron Plattner
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-07 08:46 UTC by monnier
Modified: 2007-03-29 22:33 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description monnier 2006-09-07 08:46:20 UTC
In text widgets such as this editing box (or the URL box) in firefox, the
erasure of the bar cursor is not done correctly when moving the cursor, leaving
annoying phantom cursors around.  Even the normal bar cursor is actually not
drawn correctly (rather than blinking ON/OFF it blinks "half-up/half-down").

This problem disappears if I specify the XaaNoSolidFillRect option in my
xorg.conf file.  I'm seeing this on a GeForce 6200 (TurboCache) chipset, with
version 1.0.1.5 of the nv driver (from Debian testing).  I've also tried the
version 1.1.1 of the driver (from Debian experimental) and the problem seems to
still bepresent in that version as well.
Comment 1 Daniel Stone 2007-02-27 01:33:28 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 2 Aaron Plattner 2007-03-20 17:15:02 UTC
This should be fixed with xf86-video-nv-2.0.0.  Can you please give that version a try?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.